package com.kym.service;

import com.kym.entity.WithdrawnRecord;
import com.kym.entity.common.PageBean;
import com.kym.entity.queryParams.WithdrawnQueryParam;
import com.kym.entity.vo.WithdrawnRecordVo;
import com.kym.service.mybatisplus.MyBaseService;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 站点账户提现记录表 服务类
 * </p>
 *
 * @author skyline
 * @since 2025-04-19
 */
public interface WithdrawnRecordService extends MyBaseService<WithdrawnRecord> {

    PageBean<WithdrawnRecordVo> listWithdrawnRecords(WithdrawnQueryParam params);

    WithdrawnRecordVo detail(String id);

    void reviewWithdrawn(WithdrawnQueryParam params);

    @Transactional
    void confirmWithdrawnPayment(WithdrawnQueryParam params);
}
